Package com.smartgwt.client.widgets.tile

# Class TileRecord

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.data.Record
com.smartgwt.client.widgets.viewer.DetailViewerRecord
com.smartgwt.client.widgets.tile.TileRecord

All Implemented Interfaces:
  `HasHandlers`

public class TileRecord extends DetailViewerRecord
A TileRecord is a JavaScript Object whose properties contain values for each TileField. A TileRecord may have additional properties which affect the record's appearance or behavior, or which hold data for use by custom logic or other, related components.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TileRecord()`
  `TileRecord(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getMinimumImageFieldSize()`
  By default, image-type fields shown in a Tile are auto-scaled to fit a tile's full width, and an equal share of tile-height not already required by other visible (non-image) fields.
  `static TileRecord`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `TileRecord`
  `setMinimumImageFieldSize(int minimumImageFieldSize)`
  By default, image-type fields shown in a Tile are auto-scaled to fit a tile's full width, and an equal share of tile-height not already required by other visible (non-image) fields.

  ### Methods inherited from class com.smartgwt.client.widgets.viewer.DetailViewerRecord

  `getLinkText, setLinkText`

  ### Methods inherited from class com.smartgwt.client.data.Record

  `convertToRecordArray, copyAttributes, copyAttributesInto, getAttributeAsRecordArray, getAttributeAsRecordList, getPaletteDefaults, isARecord, toMap`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TileRecord

    public TileRecord()

  - ### TileRecord

    public TileRecord(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static TileRecord getOrCreateRef(JavaScriptObject jsObj)

  - ### setMinimumImageFieldSize

    public TileRecord setMinimumImageFieldSize(int minimumImageFieldSize)
    By default, image-type fields shown in a Tile are auto-scaled to fit a tile's full width, and an equal share of tile-height not already required by other visible (non-image) fields. This attribute enforces a minimum image-height, below which a given image will not shrink when being scaled.
    Parameters:
      `minimumImageFieldSize` - New minimumImageFieldSize value. Default value is 16
    Returns:
      `TileRecord` instance, for chaining setter calls

  - ### getMinimumImageFieldSize

    public int getMinimumImageFieldSize()
    By default, image-type fields shown in a Tile are auto-scaled to fit a tile's full width, and an equal share of tile-height not already required by other visible (non-image) fields. This attribute enforces a minimum image-height, below which a given image will not shrink when being scaled.
    Returns:
      Current minimumImageFieldSize value. Default value is 16